// Copyright (c) 2017 Intel Corporation
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package vcmock

import (
	"runtime"
	"strings"
)

// getSelf returns the name of the _calling_ function
func getSelf() string {
	pc := make([]uintptr, 1)

	// return the program counter for the calling function
	runtime.Callers(2, pc)

	f := runtime.FuncForPC(pc[0])
	return f.Name()
}

// IsMockError returns true if the specified error was generated by this
// package.
func IsMockError(err error) bool {
	return strings.HasPrefix(err.Error(), mockErrorPrefix)
}
